/* ********************************************************************* */
//   Filename: NE1.POV from CkFloor1.POV                                 //
//   Michael Brendan Hurley  for  ShadowDancer Enterprizes, LTD.         //
//   The Scene on Floor NE +1                             Oct 96 Ver 1.0 //
//   The  Tower of Pisa  copied  from  ROMAN.POV  with  some  additions  //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "temple.inc"                  // Complex objects for this scene

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE GLOBAL DEFAULTS

#default { texture { ambient 0.4 } }   // ambient light
/* ********************************** */

//DEFINE SKY  *****   fuzzy strings of color   *****

object { sphere { < 0 0 0 > 35000 }        // 150000
         texture { Sky_Agate
            scale < 6000 90000 6000 >
            rotate < 55 0 0 >
            ambient 0.3
            diffuse 0.0
                 }  //end texture
         texture { Sky_Agate2
            scale < 5800 90000 5700 >
            rotate < 51 0 0 >
            ambient 0.3
            diffuse 0.0
                 }  //end texture
         color White                   // low resolution display color
       }  //end object Sky
/* ********************************** */

// DECLARE TEMPLE CAMERA  *****  *****

#declare TestView =
camera {
  location  < 200.0  75.0 175.0 >      // high, back South East of ...
  direction <   0.0   0.0   2.0 >
  up        <   0.0   1.0   0.0 >
  right     <   1.33  0.0   0.0 >
  look_at   <   0.0   0.0   0.0 >      // ... world center < 0 0 0 >
       }  //end of camera Test View

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE SCENE  *****  A Checkered Pattern of Floors        *****       //
//               *****  The Scene on Floor NE +1             *****       //

// ********************************************************************* //
// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** for all scenes
object { light_source { FloodRear } }  // high rear flood light
object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSE } }    // high checker flood light
object { light_source { FloodSW } }    // high checker flood light

//                                ***** for other floors
object { light_source { NESpot } }     // on NE +1 center


// ********************************************************************* //
// CAMERA!                        ***** Position camera

camera { TestView                      // Variable with each view
         translate < 400 0 400 > }
/*
camera { OverHigh                    // < 0 600 -1 >
           translate < 400 0 400 > }
camera { OverMed                     // < 0 300 -1 >
           translate < 400 0 400 > }
camera { OverLow                     // < 0 100 -1 >
           translate < 400 0 400 > }
camera { South1                      // <   0 15 -50 >
           translate < 400 0 400 > }
camera { West1                       // < -50 15   0 >
           translate < 400 0 400 > }
camera { North1                      // <   0 15  50 >
           translate < 400 0 400 > }
camera { East1                       // <  50 15   0 >
           translate < 400 0 400 > }
camera { SouthWest1                  // < -25 15 -25 >
           translate < 400 0 400 > }
camera { SouthWest2                  // < -50 15 -50 >
           translate < 400 0 400 > }
camera { NorthWest1                  // < -25 15  25 >
           translate < 400 0 400 > }
camera { NorthWest2                  // < -50 15  50 >
           translate < 400 0 400 > }
camera { SouthEast1                  // < 25 15 -25 >
           translate < 400 0 400 > }
camera { SouthEast2                  // < 50 15 -50 >
           translate < 400 0 400 > }
camera { NorthEast1                  // < 25 15  25 >
           translate < 400 0 400 > }
camera { NorthEast2                  // < 50 15  50 >
           translate < 400 0 400 > }
*/

// ********************************************************************* //
// ACTION!     ***** Position objects                                    //
// ********************************************************************* //

#declare ChekFloor1 =                  // Checker patern of Floors
composite {

   composite {                         // Central Floor
      object { Floor13_B }
             }                         // end of Central floor

/* ********************************************************************* */

   composite {                         // start of NE+1  *****
      object { Floor13_B
                 translate < 400 0 400 > }
      object {                              // Pillar NE
         intersection { Disk_Y }
                        texture { Yellow_World
                        turbulence 0.1      // Mix colors
                        rotate < 33 0 0 >   // tilt texture on
                        rotate < 0 15 0 >   //   the object
                               } // end texture
         scale < 5 60 5 >                   // Enlarge entire obj
         translate < 460 1 460 >            // move obj
         color Yellow                       // Low res. color
             } // end obj CenterPole2
      object {                              // Pillar NNE
         intersection { Disk_Y }
                        texture { Sapphire_AgateB
                        turbulence 0.0      // Mix colors
                        rotate < 33 0 0 >   // tilt texture on
                        rotate < 0 15 0 >   //   the object
                      } // end texture
         scale < 8 25 8 >                   // Enlarge entire obj
         translate < 350 0 465 >            // move obj
         color Blue                         // Low res. color
          } // end obj CenterPole3
      composite { Pile_O_Spheres            // SW of temple
                  scale < 2 2 2 >
                  rotate < 0 0 0 >
                  translate < 530 1 395 >
                }  // end composite P O S
      composite { Level1                    // Ring temple
                  translate < 445 0 430 >
                  scale < 0.9 0.9 0.9 >
                } // end composite Ring
             } // end composite             end of NE +1   **********

/* ********************************************************************* */

   composite {                         // start of NW+1    **********
      object { Floor13_B
               translate < -400 0 400 > }
             }  // end of composite              NW +1     **********

   composite {                         // start of SW +1   **********
      object { Floor13_B
               translate < -400 0 -400 > }
             }  // end composite       end of SW +1        **********

   object { Floor13_B                       // S +2
              translate <    0 0 -800 > }
   object { Floor13_B                       // W +2
              translate < -800 0    0 > }
   object { Floor13_B                       // SW +2
              translate < -800 0 -800 > }
   object { Floor13_B                       // SSW +3
              translate <  -400 0 -1200 > }
   object { Floor13_B                       // SW +3
              translate < -1200 0 -1200 > }
   object { Floor13_B                       // SWW +3
              translate < -1200 0  -400 > }

   }  // end composite ChekFloor1                        **********

/* ********************************************************************* */
// **********   MAIN LINE OF SCRIPT FILE    **********                   //
/* ********************************************************************* */

composite { ChekFloor1 }

/* ********************************************************************* */
/* END of   NE1.POV                                       ************** */
/* ********************************************************************* */
