/* ********************************************************************* */
//   Filename: NW1_FOOT.POV     from TEST1.POV                           //
//   Current Test: Floor NW +1  Clipped Circle with Lamps and Pillars    //
//                 Modified columns, added foot lights                   //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "temple.inc"                  // Complex objects and effects

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.3 } }   // ambient light
/* ********************************** */

//DEFINE SKY  *****   fuzzy strings of color   *****

object { sphere { < 0 0 0 > 35000 }        // 150000
         texture { Sky_Agate
            scale < 6000 90000 6000 >
            rotate < 55 0 0 >
            ambient 0.3
            diffuse 0.0
                 }  //end texture
         texture { Sky_Agate2
            scale < 5800 90000 5700 >
            rotate < 51 0 0 >
            ambient 0.3
            diffuse 0.0
                 }  //end texture
         color White                   // low resolution display color
       }  //end object Sky
/* ********************************** */

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  location  < -465 15 318 >            // southWEST OF -400 0 360
  direction <   0.0   0.0   2.0 >
  up        < 0.0   1.0  0.0 >
  right     < 1.33  0.0  0.0 >
  look_at < -400 5 400 >               // center of NW +1
       }  //end of camera Test View

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE SCENE  *****       *****


// LIGHTS!                        ***** DEFINE LIGHT SOURCES
//                                ***** for all scenes
//object { light_source { FloodRear } } // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
//object { light_source { FloodSE } }    // high checker flood light
//object { light_source { FloodSW } }    // high checker flood light

//                                  ***** for other floors
object { light_source { FootSpot1} }   // NW+1 pillar foot light


// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view
//camera { OverHigh }                    // < 0 500 -1 > look at < 0 0 0 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >

//camera { South1 }                      // <   0 20 -50 >
//camera { West1 }                       // < -50 20   0 >
//camera { North1 }                      // <   0 20  50 >
//camera { East1 }                       // <  50 20   0 >

//camera { SouthWest1 }                  // < -25 20 -25 >
//camera { SouthWest2 }                  // < -50 20 -50 >
//camera { NorthWest1 }                  // < -25 20  25 >
//camera { NorthWest2 }                  // < -50 20  50 >

//camera { SouthEast1 }                  // < 25 20 -25 >
//camera { SouthEast2 }                  // < 50 20 -50 >
//camera { NorthEast1 }                  // < 25 20  25 >
//camera { NorthEast2 }                  // < 50 20  50 >


// ********************************************************************* //
// ACTION!     ***** Position objects
// ********************************************************************* //

object { Floor13_B }

#declare ChekFloor1 =                  // Checker patern of Floors
composite {

   composite {                         // Central Floor
      object { Floor13_B }
             }                         // end of Central floor

   composite {                         // start of NW+1    **********
      object { Floor13_B
               translate < -400 0 400 > }

      composite { Column_1                  // lamp post
                  translate < -300 0 300 > }     // SE
      composite { Column_1
                  translate < -500 0 300 > }     // SW
      composite { Column_1
                  translate < -500 0 500 > }     // NW
      composite { Column_1
                  translate < -300 0 500 > }     // NE

      composite { Column_2                 // regular post
                  translate < -360 0 430 > }     // EAST
      composite { Column_2
                  translate < -360 0 370 > }
      composite { Column_2
                  translate < -370 0 440 > }     // NORTH
      composite { Column_2
                  translate < -430 0 440 > }

      composite { Column_2
                  translate < -440 0 430 > }     // WEST
      composite { Column_2
                  translate < -440 0 370 > }
      composite { Column_2
                  translate < -370 0 360 > }     // SOUTH
      composite { Column_2
                  translate < -430 0 360 > }
      object { Box_Plain
               texture {
                  Grnt28
                  scale < 4 1 1 >
                  rotate < 0 30 0 >
                       } // end texture
               scale < 7.5 1.5 2 >
               rotate < 0 -45 0 >
               translate < -435 20.5 435 >     // NE
               color Violet
             }  // end obj Box
      object { Box_Plain
               texture {
                  Grnt28
                  scale < 4 1 1 >
                  rotate < 0 30 0 >
                       } // end texture
               scale < 7.5 1.5 2 >
               rotate < 0 -45 0 >
               translate < -365 20.5 365 >     // SW
               color Violet
             } // end box
      object { Box_Plain
               texture {
                  Grnt28
                  scale < 4 1 1 >
                  rotate < 0 30 0 >
                       } // end texture
               scale < 7.5 1.5 2 >
               rotate < 0 45 0 >
               translate < -365 20.5 435 >     // NW
               color Violet
             }  // end obj Box
      object { Box_Plain
               texture {
                  Grnt28
                  scale < 4 1 1 >
                  rotate < 0 30 0 >
                       } // end texture
               scale < 7.5 1.5 2 >
               rotate < 0 45 0 >
               translate < -435 20.5 365 >     // SW
               color Violet
             }  // end obj Box
      composite { Circle_A                  // ring of pillars, globes
                  scale < 2.2 2.2 2.2 >
                  translate < -400 0 400 >  //    center of NW+1 
                }  // end of Object Circle A
             }  // end of composite              NW +1     ***********

   }  // end composite ChekFloor1                        **********


/* ********************************************************************* */
// **********   MAIN LINE OF SCRIPT FILE    **********                   //
/* ********************************************************************* */


composite { ChekFloor1 }               // Checker board of Floor13b's


/* ********************************************************************* */
/* END OF   NW+1 Scene with only FootLights and Lamps   **************** */
/* ********************************************************************* */
