/* ********************************************************************* */
//   Filename: SR.POV                                                    //
//   BDH for SDE,LTD                                                     //
//   Revised   TEMPLE Scene  Template                    Sept 96 Ver 2.0 //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "temple.inc"                  // Complex objects for this scene

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.3 } }   // ambient light
/* ********************************** */

// DEFINE SKY   *****   *****

object { sphere { < 0 0 0 > 100000 }
         texture { Blue_Sky
                   scale < 3800 450 3500 >
                   turbulence 0.0015
                   ambient 0.5
                 } // end texture
         color White
       }  // end obj Sky

/* ********************************************************************* */

// DECLARE TEMPLE CAMERA  *****  *****

#declare TempleTest =
camera {
  location < -65 15 45 >               // at Sphere Rods
  direction <   0.0   0.0   2.0 >
  up        <   0.0   1.0   0.0 >
  right     <   1.33  0.0   0.0 >
  look_at < -32 5 35 >                 // Sphere Rods
       }  //end of camera Temple Test

/* ********************************************************************* */
//                            Object Definitions                         //
/* ********************************************************************* */

// DEFINE ELEMENT SphereRods

#declare SphereRods_B =
   composite {
      object { sphere { < 0 0 0 > 3.15 }
               color White
               texture { Glass_1 }  //end texture of sphere
               translate < 0 6 0 >
             }  //end obj sphere
      object { intersection { Disk_X }
               color Blue
               texture { Glass_1 }  //end texture of Disk X
               scale < 6 1 1 >
               translate < 0 5 2.5 >
             }  //end obj Disk_X
      object { intersection { Disk_Y }
               color Green
               texture { Glass_1 }  //end texture of Disk Y
               scale < 1 5.5 1 >
               translate < 2.5 6 0 >
             }  //end obj Disk_Y
      object { intersection { Disk_Z }
               color Yellow
               texture { Glass_1 }  //end texture of Disk Z
               scale < 0.75 0.75 6 >
               translate < -2.5 7 0 >
             }  //end obj Disk_Z
          }  //end composite Crystal Sphere, Rods

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE SCENE  *****  TEST OF ASSORTED STANDARDIZED ELEMENTS    *****


// LIGHTS!                             // Position flood, spot lights
object { light_source { Flood_Rear } } // high rear flood light
object { light_source { SouthFlood } } // low front flood light
object { light_source { SpotRight1 } } // +x +y +z spot light
object { light_source { SpotLeft1 } }  // -x +y -z spot light
object { light_source { SpotRight2 } } // +x -y -z spot light
object { light_source { SpotLeft2 } }  // -x -y -z spot light

// Spot lights on specific objects
object { light_source { BBSpot1 } }    // on SW Blob Box

object { light_source { SRSpot1 } }    // on NE Sphere Rods


// CAMERA!
camera { TempleTest }                  // Position camera


// ACTION!                             // Position objects
object { Floor13 }                  // Describe floor

composite { Temple_B                   // Ver B Temple
            scale < 2 2 2 >
          }  // end composite Temple

composite { SphereRods_B               // NW of temple
            translate < -32 4 35 >
          }  // end composite

/* ********************************************************************* */
/* END  OF  Sphere Rods  TEST FILE           *************************** */
/* ********************************************************************* */
